Pular para o conteúdo

/api/v1/dataset-items/{id} (PATCH)

PATCH
/api/v1/dataset-items/{id}
curl --request PATCH \
--url https://api.endless.zaia.app/api/v1/dataset-items/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "description": "example", "file": "example", "name": "example", "status": "pending", "content": "example" }'

Updates a dataset item.

id
required

A UUID v4 string that identifies an entity.

string format: uuid

A UUID v4 string that identifies an entity.

Media typeapplication/json
object
description

The internal description of the dataset item.

string
>= 3 characters <= 250 characters
file

The file payload or file reference associated with the dataset item.

string
name

The display name of the dataset item.

string
>= 3 characters <= 50 characters
status

The processing status of the dataset item.

string
Allowed values: pending processing completed failed
content
string

The dataset item was updated.

Media typeapplication/json
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
updatedAt
required
string format: date-time
datasetId
required

The dataset ID associated with the dataset item.

string format: uuid
description
required

The internal description of the dataset item.

string
>= 3 characters <= 250 characters
file
required

The file payload or file reference associated with the dataset item.

string
name
required

The display name of the dataset item.

string
>= 3 characters <= 50 characters
status
required

The processing status of the dataset item.

string
Allowed values: pending processing completed failed
Example
{
"status": "pending"
}

Invalid dataset item configuration.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Plan limit exceeded.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

The dataset item was not found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}